<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Cash Disbursement</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        Cash Disbursement
        <small>Form</small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Finance</li>
        <li class="active"> Cash Disbursement</li>
    </ol>
</section>

<section layout:fragment="main" class="content">
    <div class="row">

        <div class="col-md-6">
            <!-- Horizontal Form -->
            <div class="callout callout-danger" th:if="${lebih != null}">
                <h4>Save Data Gagal!</h4>

                <p>Pencairan tidak boleh lebih besar dari pengajuan</p>
                <!--  <p th:text="${'Dana yang sudah dikeluarkan : Rp ' + #numbers.formatDecimal(totalKeluar, 0, 'POINT', 2, 'COMMA')}"></p> -->

            </div>

            <div class="callout callout-danger" th:if="${gagaltanggal != null}">
                <h4>Save Data Gagal!</h4>

                <p>Data Gagal Disimpan. Tanggal pencairan tidak boleh kosong</p>
                <!--  <p th:text="${'Dana yang sudah dikeluarkan : Rp ' + #numbers.formatDecimal(totalKeluar, 0, 'POINT', 2, 'COMMA')}"></p> -->

            </div>
            <div class="callout callout-danger" th:if="${gagaljam != null}">
                <h4>Save Data Gagal!</h4>

                <p>Data Gagal Disimpan. Jam Pencairan tidak boleh kosong</p>
                <!--  <p th:text="${'Dana yang sudah dikeluarkan : Rp ' + #numbers.formatDecimal(totalKeluar, 0, 'POINT', 2, 'COMMA')}"></p> -->

            </div>

            <div class="box box-info">
                <div class="box-header with-border">
                    <h3 class="box-title">Form Pencairan dana</h3>
                </div>

                <div class="box-body no-padding">
                    <div class="row" >

                        <div class="col-md-12">
                            <div class="box box-warning box-solid">
                                <div class="box-header with-border">
                                    <div class="col-md-6">
                                        <a class="info-box-text" th:text="${listPencairanDana.userMintaPencairan.NamaKaryawan}">Support Team</a> <span th:text="${listPencairanDana.pengajuanDana.departemen.namaDepartemen}">Removable</span></a>
                                    </div>
                                    <div class="col-md-6" align="right">
                                        <span class="info-box-text" th:text="${#temporals.format(listPencairanDana.tanggalMintaPencairan,'dd-MMM-yyyy hh:mm:ss a')}"></span>
                                    </div>
                                </div>
                                <!-- /.box-header -->
                                <div class="box-body">
                                    <div class="col-md-2" align="center">
                                        <a th:if="${listPencairanDana.file} == 'default.jpg'" class="btn btn-danger btn-xs">
                                            No Attachment
                                        </a>
                                        <a th:if="${listPencairanDana.file} != 'default.jpg'" class="btn btn-primary btn-xs" th:href="@{/pencairandana/{pencairanDana}/bukti/(pencairanDana = ${listPencairanDana.id})}" target="_blank">
                                            View Attachment
                                        </a>
                                    </div>
                                    <div class="col-md-10">
                                        <div class="box box-warning">
                                            <div class="box-body">
                                                <div class="box-body table-responsive no-padding">
                                                    <table class="table table-bordered">
                                                        <tr>
                                                            <th>No</th>
                                                            <th>Anggaran</th>
                                                            <th>Detail</th>
                                                            <th>Amount</th>
                                                            <th></th>
                                                        </tr>
                                                        <tr th:each="dataPencairanDanaDetail,row : ${listPencairanDanaDetail}">
                                                            <td th:text="${(row.index + 1)}">183</td>
                                                            <td th:text="${dataPencairanDanaDetail.pengajuanDana.anggaranDetail.deskripsi+' ('+ dataPencairanDanaDetail.pengajuanDana.anggaranDetail.anggaran.kodeAnggaran+')'}">John Doe</td>
                                                            <td th:text="${dataPencairanDanaDetail.pengajuanDana.deskripsiBiaya}">11-7-2014</td>
                                                            <td align="right" th:text="${#numbers.formatDecimal(dataPencairanDanaDetail.pengajuanDana.jumlah, 0, 'POINT', 2, 'COMMA')}"><span class="label label-success">Approved</span></td>
                                                            <td align="center">
                                                                <a th:if="${dataPencairanDanaDetail.pengajuanDana.file} == 'default.jpg'" class="btn btn-danger btn-xs">
                                                                    No</i>
                                                                </a>
                                                                <a th:if="${dataPencairanDanaDetail.pengajuanDana.file} != 'default.jpg'" class="btn btn-primary btn-xs" th:href="@{/pengajuandana/{pengajuanDana}/bukti/(pengajuanDana = ${dataPencairanDanaDetail.pengajuanDana.id})}" target="_blank">
                                                                    <i class="fa fa-archive"></i>
                                                                </a>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </div>
                                            </div>
                                            <!-- /.box-body -->
                                        </div>
                                        <!-- /.box -->
                                    </div>

                                    <div class="col-md-12">

                                        <table class="table table-bordered">
                                            <tr>
                                                <td  th:text="${'Nomor Rekening : '+listPencairanDana.nomorRekening}">1.</td>
                                            </tr>
                                            <tr>
                                                <td th:text="${'Bank : '+listPencairanDana.bank.namaBank}">1.</td>
                                            </tr>
                                        </table>

                                    </div>

                                </div>


                                <div  class="box-header with-border">
                                    <div class="col-md-6">
                                        <span class="info-box-text"><b>Total Pengajuan : </b></span>
                                    </div>
                                    <div class="col-md-6 pull-right" align="right">
                                        <span class="info-box-text"><b th:text="${'Rp. ' + #numbers.formatDecimal(totalPengajuanDana, 0, 'POINT', 2, 'COMMA')}"></b></span>
                                    </div>

                                    <div class="col-md-6">
                                        <span class="info-box-text"><b>Total Pencairan : </b></span>
                                    </div>
                                    <div class="col-md-6 pull-right" align="right">
                                        <span class="info-box-text"><b th:text="${'Rp. ' + #numbers.formatDecimal(listPencairanDana.nominalMintaPencairan, 0, 'POINT', 2, 'COMMA')}"></b></span>
                                    </div>

                                </div>

                            </div>

                        </div>
                    </div>
                </div>


                <form class="form-horizontal" th:action="@{/keuangan/pencairan/approve/save}" th:object="${pencairanDana}" method="post" enctype="multipart/form-data">
                    <div class="box-body">

                        <div class="form-group">
                            <label class="col-sm-2 control-label">Date:</label>
                            <div class="col-sm-10">
                                <div class="input-group date">
                                    <div class="input-group-addon">
                                        <i class="fa fa-calendar"></i>
                                    </div>
                                    <input type="text" class="form-control pull-right" id="tanggalan" th:field="*{tanggalan}" name="tanggalan" placeholder="MM/dd/yyyy">
                                </div>
                            </div>
                            <!-- /.input group -->
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label">Time:</label>

                            <div class="col-sm-10">
                                <div class="input-group">
                                    <input type="text" class="form-control timepicker" id="jaman" th:field="*{jaman}" name="jaman">

                                    <div class="input-group-addon">
                                        <i class="fa fa-clock-o"></i>
                                    </div>
                                </div>
                            </div>
                            <!-- /.input group -->
                        </div>

                        <div class="form-group">
                            <label for="nominalPencairan" class="col-sm-2 control-label">Nominal Pencairan</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" th:field="*{nominalPencairan}" name="nominalPencairan" id="nominalPencairan" placeholder="0.00">
                                <p th:if="${#fields.hasErrors('nominalPencairan')}" th:errors="*{nominalPencairan}" class="text-danger"> Mata Anggaran Error</p>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="keteranganPencairan" class="col-sm-2 control-label">Keterangan</label>

                            <div class="col-sm-10">
                                <textarea class="form-control" rows="3" th:field="*{keteranganPencairan}" name="keteranganPencairan" id="keteranganPencairan" placeholder="Keterangan ..."></textarea>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="lampiran" class="col-sm-2 control-label">Bukti pencairan</label>

                            <div class="col-sm-10">
                                <input type="file" name="lampiran" id="lampiran" accept="image/jpeg,mage/jpg,image/gif,image/png,application/pdf,image/x-eps">

                                <p class="help-block">Bukti Transfer atau Tanda Terima Pencairan.</p>
                            </div>
                        </div>

                        <input type="hidden" name="id" th:field="*{id}">
                    </div>
                    <!-- /.box-body -->
                    <div class="box-footer">

                        <a th:href="@{/keuangan/pencairan}" class="btn btn-default">Cancel</a>
                        <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>

                    </div>
                    <!-- /.box-footer -->
                </form>
            </div>
        </div>
    </div>
</section>

<section layout:fragment="footer" class="script">
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('yyyy-mm-dd', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date range picker
            $('#reservation').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            //Date picker
            $('#tanggalan').datepicker({
                autoclose: true, locale: { format: 'YYYY-MM-DD' }
            })

            //iCheck for checkbox and radio inputs
            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                checkboxClass: 'icheckbox_minimal-blue',
                radioClass   : 'iradio_minimal-blue'
            })
            //Red color scheme for iCheck
            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                checkboxClass: 'icheckbox_minimal-red',
                radioClass   : 'iradio_minimal-red'
            })
            //Flat red color scheme for iCheck
            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass   : 'iradio_flat-green'
            })

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            //Timepicker
            $('.timepicker').timepicker({
                showInputs: false, locale: { format: 'hh:mm:ss' }
            })
        })
    </script>
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        $('.simpan').click(function () {
            Swal.fire({
                position: 'top-end',
                type: 'success',
                title: 'Your work has been saved',
                showConfirmButton: false
            })
        });
    </script>
</section>
</body>
</html>